import sys

from bokeh.plotting import figure, show

from mongo.get_conn import db_conn

class PoolCharts():
    def __init__(self):
        self.db = db_conn()


    def ph_line_chart(self):
        ph = self.db.pool_db
        data = ph.find({}).sort("date", -1).limit(50)
        dates = []
        ph_list = []
        date_count = {}
        for record in data:
            if record["ph"] != "None":
                if record["date"] not in dates:
                    print("new date record")
                    dates.append(record["date"])
                    ph_list.append(float(record["ph"]))
                    print (dates)
                    print (ph_list)
                else:
                    if record["date"] in date_count:
                        date_count[record["date"]] += 1
                    else:
                        date_count[record["date"]] = 2
                    print(len(ph_list))
                    current_ph = ph_list[len(ph_list) - 1]
                    ph_list[len(ph_list) - 1] = (float(record["ph"]) + current_ph) / date_count[record["date"]]

        print(dates)
        print(ph_list)

        p = figure(x_range=dates, height=350, title="Pool Ph",
            toolbar_location=None, tools="")

        p.vbar(x=dates, top=ph_list, width=0.9)

        p.xgrid.grid_line_color = None
        p.y_range.start = 0

        show(p)
